Subject: WG chair use of the ID-tracker: Proposed tool addition

From: Henrik Levkowetz <[email-masked]>
Date: Tue, 09 Jan 2007 16:05:38 +0100

Hi,

   The proto-team document that describes proposed changes to the
ID-tracker (https://datatracker.ietf.org/) which makes it possible
for WG chairs to use the I-D tracker for managing WG documents
has been revised after the feedback from this list (May 2006).

I've taken out all explicit state transitions; the tracker won't
enforce or check the state transitions.  I've also removed sub-states,
and instead introduced annotations to capture such things as documents
awaiting review.  Multiple annotations may exist at the same time.

As I also mentioned the last time:

Since these changes and enhancements are explicitly meant for Your Use,
Dear Fellow Chairs, it would be very good if you would read and comment
on the document.  Excluding boilerplate etc. the actual content is 6
pages long, so it should be manageable, especially if you check the
diffs (see links below).

The document is available from the internet-drafts repository:
  http://ietf.org/internet-drafts/draft-ietf-proto-wgchair-tracker-ext-01.txt

Diffs between -00 and this version are available here:
  http://tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-tracker-ext/draft-ietf-proto-wgchair-tracker-ext-01-from-00.diff.html
  http://tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-tracker-ext/draft-ietf-proto-wgchair-tracker-ext-01-from-00.wdiff.html

Please send comments to this list, with Cc: to [email-masked] .

Thanks,

	Henrik

---

From: "Dan Wing" <[email-masked]>
Date: Tue, 9 Jan 2007 17:09:09 -0800

I applaud this effort - thank you very much.

* In several working groups, I have noticed an increased use of named
technical reviewers.  It might be useful to have a place for those people to
be listed, and also to get email notification of revisions of documents they
are reviewing (similar to how chairs and the WG itself is informed of new
revisions).  Some of these reviewers don't necessarily subscribe to the WG
mailing list itself (cross-area review, for example).

* Of the defined working group states, what is the intended purpose of the
"Not a WG Document" state?  Is this intended for (1) individual documents
which might be adopted by the working group, or (2) working group documents
that have been abandoned by the working group (that is, more abandoned than
the 'parked' state), or (3) is this the default state for all draft-*
documents?  

If (1), I suggest calling this state 'Potential WG document' or 'Chair is
Watching' (similar to the existing IESG "AD is watching" state), or 'Not Yet
a WG Document', or 'Impending WG Document'; if (2), I suggest 'Abandoned';
if (3), I suggest 'Individual Document' for draft-LASTNAME-*, and I suggest
creating 'IAB document' for draft-iab-*, 'IRTF' for draft-irtf-*, 'IESG',
'ITU', etc.

In any event, it would be useful if there was a way for a chair to indicate
that an individual submission is interesting to the working group, sometime
prior to it being adopted by the WG.  For example, perhaps the document
doesn't fit in the WG's charter yet, or a milestone needs to be added.  But
I suppose that state is pretty short-lived.  Anyway, I'll throw the idea out
there and see what y'all think about it.

* It might be useful to show anticipated WGLC dates or dependencies, perhaps
freeform in the WG state annotation.  See, for example,
  http://www.employees.org/behave/document-status.html

-d

---

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 10 Jan 2007 03:17:17 +0100

Hi Dan,

Thanks for reading and commenting.  More inline:

> mailing list itself (cross-area review, for example).

The intention is to handle reviewer notification with a different new
tool, which actually is a general notification engine.  There's also
a reviewer support tool in the works, which may be the most appropriate
place to register reviewers.

> the 'parked' state), or (3) is this the default state for all draft-*

The intention is (3).  I've added some more explanatory text to this
state in the source on my disk. (There's a preview here, too:
http://www1.tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-tracker-ext/draft-ietf-proto-wgchair-tracker-ext-02.b.txt)

> creating 'IAB document' for draft-iab-*, 'IRTF' for draft-irtf-*, 'IESG',

For (1), do people think there's a need for such a state?  If so, I'll add
it to the spec.

The same goes for (2) - do people think there's a need for such a state?

For (3), there's a separate draft which will describe IAB and IRTF states.
I'd like to keep those separate, rather than create state dependencies
between them and the WG document states.  The WG document state should
only be relevant for documents being handled (or considered) by a WG;
others should simply be "Not a WG Document", and possibly have some other
state independently of the WG document state.  I'll add some explanatory
text about this, too.

> there and see what y'all think about it.

This is referring to (1) above, right?  Let's hear what people think.

>   http://www.employees.org/behave/document-status.html

Could this be handled by the annotation "Other - see Comment Log", or do
you see a clear need for an explicit annotation tag for this?

	Henrik

---

From: "Dan Wing" <[email-masked]>
Date: Tue, 9 Jan 2007 18:40:03 -0800

...
> a reviewer support tool in the works, which may be the most 
> appropriate place to register reviewers.

Great.  Thanks.

> > * Of the defined working group states, what is the intended
> >   purpose of the "Not a WG Document" state?  Is this intended for
> >   (1) individual documents which might be adopted by the working
> >   group, or (2) working group documents that have been abandoned
> >   by the working group (that is, more abandoned than the 'parked'
> >   state), or (3) is this the default state for all draft-*
> >   documents?
> 
> http://www1.tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-t
> racker-ext/draft-ietf-proto-wgchair-tracker-ext-02.b.txt)
> 
> > If (1), I suggest calling this state 'Potential WG document' or
> > 'Chair is Watching' (similar to the existing IESG "AD is
> > watching" state), or 'Not Yet a WG Document', or 'Impending
> > WG Document'; if (2), I suggest 'Abandoned';
> > if (3), I suggest 'Individual Document' for draft-LASTNAME-*, and
> > I suggest creating 'IAB document' for draft-iab-*, 'IRTF'
> > for draft-irtf-*, 'IESG', 'ITU', etc.
> 
> For (1), do people think there's a need for such a state?  If 
> so, I'll add it to the spec.

On further evaluation, I think this could be done well enough
with the existing "Candidate WG Document" state.

> For (3), there's a separate draft which will describe IAB and 

Ok.

> others should simply be "Not a WG Document", and possibly 
> have some other state independently of the WG document state. 
> I'll add some explanatory text about this, too.

That makes sense, thanks.

> > In any event, it would be useful if there was a way for a chair to
> > indicate that an individual submission is interesting to the
> > working group, sometime prior to it being adopted by the WG.  For
> > example, perhaps the document doesn't fit in the WG's charter yet,
> > or a milestone needs to be added.  But I suppose that state is
> > pretty short-lived.  Anyway, I'll throw the idea out there and see
> > what y'all think about it.
> 
> This is referring to (1) above, right? 

Yes.  Perhaps it can be done well enough with the existing 
"Candidate WG Document" state, though.  I withdraw my previous
suggestion for a "Chair is Watching" state.

> Let's hear what people think.
> 
> > * It might be useful to show anticipated WGLC dates or 
> > dependencies, perhaps freeform in the WG state annotation.  
> > See, for example,
> Could this be handled by the annotation "Other - see Comment 
> Log", or do you see a clear need for an explicit annotation 
> tag for this?

To keep this a simple state (instead of a date field), how 
about an additional state of "WGLC anticipated", indicating
this document appears ready for WGLC.  This could be the state
it sits in while technical reviewers are reviewing, for example,
but before the onslaught of a WGLC.  (Although oftentimes the
WGLC and technical reviews happen in parallel.)

In my working group, I am holding off a couple of documents
from WGLC because we have higher priority documents that
we want to complete some cross-WG reviews.  But they are
otherwise "ready" for WGLC, so if someone wanted to review
those mature documents, they would know they're almost-good-
enough-to-WGLC.

-d

---

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 10 Jan 2007 17:30:14 +0100

Hi Bert,

on 2007-01-10 15:00 Wijnen, Bert (Bert) said the following:
> I wwonder if we want/need a WG State annotation tag of
>    Dead WG document

That seems to be very similar to Dan Wing's proposed 'Abandoned'.
I've added "Dead WG Document" as a state in my working copy.

> That is a document that once was a WG document, but has been
> declared dead, or no longer on the WG agenda.
> 
> I also wonder if it is possible (I know it is handy/useful)
> to have the (next) milestone date for each WG document listed.

Mmm.  Good point.  One question: is this best handled by manual
annotation, or could / should it rather be calculated / deduced
from other data (charter, a set of acceptable times between events,
etc.) ?

	Henrik

> Bert
> 
>> -----Original Message-----
>> From: Henrik Levkowetz [mailto:[email-masked]] 
>> Sent: dinsdag 9 januari 2007 16:06
>> To: 'Working Group Chairs'
>> Cc: [email-masked]
>> Subject: WG chair use of the ID-tracker: Proposed tool addition
>> 
>> Hi,
>> 
>>    The proto-team document that describes proposed changes to 
>> the ID-tracker (https://datatracker.ietf.org/) which makes it 
>> possible for WG chairs to use the I-D tracker for managing WG 
>> documents has been revised after the feedback from this list 
>> (May 2006).
>> 
>> I've taken out all explicit state transitions; the tracker 
>> won't enforce or check the state transitions.  I've also 
>> removed sub-states, and instead introduced annotations to 
>> capture such things as documents awaiting review.  Multiple 
>> annotations may exist at the same time.
>> 
>> Since these changes and enhancements are explicitly meant for 
>> Your Use, Dear Fellow Chairs, it would be very good if you 
>> would read and comment on the document.  Excluding 
>> boilerplate etc. the actual content is 6 pages long, so it 
>> should be manageable, especially if you check the diffs (see 
>> links below).
>> 
>> http://tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-tracke
> r-ext/draft-ietf-proto-wgchair-tracker-ext-01-from-00.diff.html
>>   
>> http://tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-tracke
> r-ext/draft-ietf-proto-wgchair-tracker-ext-01-from-00.wdiff.html
>> 
>>

---

From: "Wijnen, Bert \(Bert\)" <[email-masked]>
Date: Wed, 10 Jan 2007 15:00:04 +0100

Bert

---

From: "Wijnen, Bert \(Bert\)" <[email-masked]>
Date: Thu, 11 Jan 2007 11:42:45 +0100

Inline 

> Sent: woensdag 10 januari 2007 17:30
> To: Wijnen, Bert (Bert)
> Cc: Working Group Chairs; [email-masked]
> Subject: Re: WG chair use of the ID-tracker: Proposed tool addition
> 
> Hi Bert,
> 
Ack

> > That is a document that once was a WG document, but has 
> been declared 
> > dead, or no longer on the WG agenda.
> > 
> > I also wonder if it is possible (I know it is handy/useful) to have 
> > the (next) milestone date for each WG document listed.
> 
> Mmm.  Good point.  One question: is this best handled by 
> manual annotation, or could / should it rather be calculated 
> / deduced from other data (charter, a set of acceptable times 
> between events, etc.) ?
> 

I always find it important/handy to see all info about a document in
one place (inlcuding the formal agreed upon milestone date (as per 
the WG charter). Just my 2 cents.

Bert

---

From: Jeffrey Hutzelman <[email-masked]>
Date: Thu, 11 Jan 2007 17:02:49 -0500

> declared dead, or no longer on the WG agenda.

IMHO we do want something like that, if it's not there already.  My WG has 
several documents like that, and they never got to the IESG and so aren't 
in the current tracker, some of them have progressed far enough to be in a 
tracker that contains WG-level documents, before dying or being absorbed 
into another document.

> to have the (next) milestone date for each WG document listed.

Good question.  I think most documents go through a period when it is 
possible, at least in the abstract.  OTOH, a WG may have a work item which 
results in several documents, with no milestone being set for later 
documents until most of the work on the earlier one is done (no, I can't 
think offhand of an example that shouldn't involve separate milestones, but 
I can imagine the possibility).

Maybe it would be good to have an optional next-milestone field, even if it 
ends up having to be maintained manually by the WG chair.

-- Jeff

---

From: "Drage, Keith \(Keith\)" <[email-masked]>
Date: Fri, 12 Jan 2007 01:14:05 +0100

I have been led to understand that the charter milestones are kept in a
separate database.

We have also been encouraged (at least in RAI) to add WGLC dates to the
charter milestones.

There would seem to therefore be a need to link the milestone database
and the ID-tracker tool, rather than create a separate set of events.

Regards

Keith 

> Sent: 10 January 2007 16:30
> To: Wijnen, Bert (Bert)
> between events,
> >> for WG chairs to use the I-D tracker for managing WG documents has 
> >> been revised after the feedback from this list (May 2006).
> >> 
> >> enforce or check the state transitions.  I've also removed 
> >> sub-states, and instead introduced annotations to capture 
> such things 
> >> as documents awaiting review.  Multiple annotations may 
> exist at the 
> >> same time.
> >> 
> >> Since these changes and enhancements are explicitly meant for Your 
> >> Use, Dear Fellow Chairs, it would be very good if you 
> would read and 
> >> comment on the document.  Excluding boilerplate etc. the actual 
> >> content is 6 pages long, so it should be manageable, especially if 
> >> you check the diffs (see links below).
> >>

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 15:15:15 +0100

Hi Bert,

on 2007-01-11 11:42 Wijnen, Bert (Bert) said the following:
...
> the WG charter). Just my 2 cents.

Ok.  Will see if this can be addressed somehow.  It may or may not be
part of this set of tracker changes; I think there may be a number of
different ways to address this.

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 15:21:24 +0100

Hi Jeff,

> tracker that contains WG-level documents, before dying or being absorbed 

Right.  As indicated earlier, I've added this state in my working copy.

> ends up having to be maintained manually by the WG chair.

I think there are various ways we could achieve this, as I indicated in
reply to Bert.

One is that the secretariat already has mechanisms to email chairs about
missed milestone deadlines; so a lot of the needed information is already
in the system, and just needs to be extracted and displayed.  I'll be
looking further at this.

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 15:22:00 +0100

Hi Keith,

> and the ID-tracker tool, rather than create a separate set of events.

Yes, exactly.

	Henrik

---

From: Matt Mathis <[email-masked]>
Date: Fri, 12 Jan 2007 10:33:28 -0500 (EST)

> Right.  As indicated earlier, I've added this state in my working copy.

"Dead" feels a little extreme due to it's finality.  How about "dropped",
meaning it was under consideration (at any level) but is not any longer.

This would also apply to documents that came to the WG as candidate documents,
and the WG said, "not ready yet", please go do some more research and
reintroduce the idea later.  "Dead" sounds like "go away and don't come back".

TSVWG often sees documents that are way out in left field but contain some
truly interesting innovations.  If there is detectable good stuff in with the
chaff, the WG advice is often "fix XY and Z" and reintroduce it later.

Thanks,
--MM--

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 12 Jan 2007 16:49:35 +0100

> and the ID-tracker tool, rather than create a separate set of events.

Well, there is also a theory that we should have an agreed format for
metadata interchange between the various tools and databases. We're
unlikely to ever have only one database, when you consider the IANA
and RFC Editor as part of the overall picture. That's work in progress,
and meanwhile there will be some limits on what we can do within a
single tool.
(But from a systems design view, you're certainly correct.)

     Brian

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 17:03:41 +0100

Hi Matt,

> chaff, the WG advice is often "fix XY and Z" and reintroduce it later.

That sounds more like another of the proposed states, "Parked WG Document",
I think...

	Henrik

---

From: Russ Housley <[email-masked]>
Date: Fri, 12 Jan 2007 10:56:41 -0500

The tracker does have reincarnation features.  So, a state of "dead" 
is not permanent.

I do not think it is worth precious programmer time to change the 
name of the state.  I think "abandoned" would be a better state name, 
but humans are adaptable enough to deal with "dead."

Russ

---

From: Matt Mathis <[email-masked]>
Date: Fri, 12 Jan 2007 11:15:50 -0500 (EST)

> That sounds more like another of the proposed states, "Parked WG Document",

No, some never come back, and the ones that do are often total rewrites, with
new authors, etc. so they are really new documents.

TSVWG is sort of an exception, because "oddball" documents are in scope.   I
would not want to keep one of these documents in the system, since the next
iteration is completely at the whim of the author.   If it comes back, it has
to be treated as a new document.

Thanks,
--MM--

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 17:26:06 +0100

Hi Matt,

> to be treated as a new document.

In that case, "Dead" sounds quite appropriate to me.  But if other folks
want a state in between "Dead" and "Parked", I can add one, certainly.

	Henrik

---

From: Matt Mathis <[email-masked]>
Date: Fri, 12 Jan 2007 11:49:20 -0500 (EST)

> want a state in between "Dead" and "Parked", I can add one, certainly.

No I was not advocating a new state, just a more accurate, less harsh name for
dead, because I fear resistance to using it since it implies final, when it
does not need to.

Thanks,
--MM--

---

From: Tony Hansen <[email-masked]>
Date: Fri, 12 Jan 2007 12:23:38 -0500

comatose? :-)

	Tony Hansen
	[email-masked]

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 19:14:57 +0100

Hi Matt,

> dead, because I fear resistance to using it since it implies final, when it

Ok.  I guess I'm leaning towards 'Dead' because it seems quite appropriate
in most cases.  If we have consensus on something else, that's fine.  For
now I'm going to add a clarifying comment saying that 'Dead' documents can
be resurrected.

	Henrik

---

From: "David Harrington" <[email-masked]>
Date: Fri, 12 Jan 2007 13:36:17 -0500

I'm fine with dead. 

David Harrington
[email-masked] 
[email-masked]
[email-masked]

> Sent: Friday, January 12, 2007 1:15 PM
> To: Matt Mathis

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 14 Jan 2007 09:08:54 +0100

> I'm fine with dead. 

Also, it's the existing term used in the tracker, and
ADs already have a way to resurrect a dead draft.

"Inactive" would be a slightly kinder term but it would
need to be changed generally, not just for the WG case.

     Brian

---

From: Lisa Dusseault <[email-masked]>
Date: Thu, 18 Jan 2007 15:05:41 -0800

I just have to suggest it: "Pining for the Fjords" as a state name?

Lisa

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 19 Jan 2007 00:39:28 +0100

> I just have to suggest it: "Pining for the Fjords" as a state name?

*Big Laugh*  :-D

Now, why haven't anybody suggested "Pushing up Daises", eh :-))

	Henrik

---

From: Paul Hoffman <[email-masked]>
Date: Thu, 18 Jan 2007 20:42:58 -0800

>I just have to suggest it: "Pining for the Fjords" as a state name?

Note that we were discussing the "dead" state. As the shopkeeper 
carefully explained, the Internet-Draft was *not* dead, it was just 
pining for the fjords. Thus, that would not be a good name for this 
state.

>Now, why haven't anybody suggested "Pushing up Daises", eh :-))

That would be a proper synonym for dead in the Python sense ("Python" 
in the movie sense, not the programming language sense).

Now if we WG chairs could just deal a bit more forcefully with I-Ds 
that only look alive until you get them home because they have been 
nailed to their perches...

--Paul Hoffman, Director
--VPN Consortium

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 19 Jan 2007 14:57:30 +0100

On 2007-01-19 05:42, Paul Hoffman wrote:
> pining for the fjords. Thus, that would not be a good name for this state.

I think "Parrot" state would be sufficiently puzzling for other SDOs,
and shorter to type.

    Brian

---

From: David Harrington <[email-masked]>
Date: Mon, 22 Jan 2007 17:20:14 -0500

Hi,

I found the proposed changes to be good.

David Harrington
[email-masked] 
[email-masked]
[email-masked]
co-chair, Syslog WG 

> Sent: Tuesday, January 09, 2007 10:06 AM
sub-states,
> Your Use,

---

From: [email-masked]
Date: Tue, 23 Jan 2007 10:49:07 -0500

Henrik,

> Since these changes and enhancements are explicitly meant for Your
Use,
> pages long, so it should be manageable, especially if you check the

I looked at the -02 version of the draft, and have a couple of
suggestions:

(A) Drafts don't atomically transition from WG Last Call to Submitted
	for publication.  I don't know about other WG chairs, but I
can't
	always produce the PROTO writeups instantaneously (among other
	things, I always reread the draft as part of producing the
	writeup).  An annotation tag to indicate that the WGLC is
complete
	probably suffices for this situation, and the overall state
should
	be called "Working Group Last Call" as opposed to "In Working
	Group Last Call" so that this tag makes sense.

(B) As a document shepherd, I regularly find myself writing draft RFC
	Editor Notes, and I believe that the responsible AD finds this
	very useful, as it's more effective to have someone who knows
the
	doc well draft RFC Editor Notes.  Currently, these notes have
	to be sent to the AD for the AD to put into the tracker.  Would
	it make sense for doc shepherds to be able to put proposed RFC
	Editor Notes into the tracker?  There would need to be a cutoff
	at some point prior to the telechat to make sure that the IESG
	has seen the notes, or perhaps a warning that draft RFC Editor
	notes entered too close to the telechat risk document deferral
	to the next telechat due to lack of time for ADs to review them.

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 23 Jan 2007 17:32:08 +0100

> 	Editor Notes into the tracker?  

That is probably a design challenge, since they are mixed in with
other parts of the AD's ballot writeup. I wouldn't insist on this,
in case it would need some expensive re-working of that part of
the tracker. It could be an optional requirement?

     Brian

---

From: Henrik Levkowetz <[email-masked]>
Date: Tue, 23 Jan 2007 18:36:27 +0100

> the tracker. It could be an optional requirement?

Aha.  So the comment I just sent off regarding this was wrong.

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Tue, 23 Jan 2007 18:34:19 +0100

Hi David,

> 	Group Last Call" so that this tag makes sense.

Ah.  Good point.  So tweaking your suggestion a little bit, I think we
maybe should have two states for this:

	* In WG Last Call
	* Waiting for Document Shepherd Writeup

Works?

> 	to the next telechat due to lack of time for ADs to review them.

Works for me (and doesn't require any document changes, I think, since
the document on purpose leaves access open when not explicitly restricted.

	Henrik

---

From: [email-masked]
Date: Tue, 23 Jan 2007 12:33:33 -0500

Brian, 

the
> the tracker. It could be an optional requirement?

It might suffice for the shepherd to put proposed RFC Editor Note
text into a running comments log, and make it easy for an AD to
copy/paste from the comments log into the RFC Editor Notes (UI design
issue) if the AD likes the text.  This makes the proposed RFC Editor
Note text more visible than if it's done via email, which is probably
a "good thing".

Thanks,
--David

---

From: [email-masked]
Date: Tue, 23 Jan 2007 12:56:56 -0500

can't
complete
should
> 	* Waiting for Document Shepherd Writeup

Yes, that's fine, and a nice parallel to the existing IESG Waiting for
Writeup state, which will probably need a longer name to avoid
confusion,
Waiting for Area Director Writeup will do nicely..

Thanks,
--David